import java.applet.Applet;
import java.awt.*;
import java.awt.geom.*;

public class GradientText extends Applet
{
	Font f = new Font( "sansserif" , Font.PLAIN , 30 );
	FontMetrics fm;

	final String testo = "Pippo, Pluto e Topolino";

	int x,y,l,h;

	final float[] tratto = { 10F };

	public void init() {
		fm = getFontMetrics(f);
		l = fm.stringWidth(testo);
		h = fm.getHeight();
		x = (getSize().width - l)/2;
		y = (getSize().height + fm.getAscent())/2;
	}
		

	public void paint( Graphics g ) {
		Graphics2D screen = (Graphics2D) g;

		// Disegno primitive con JAVA2D
		// Ellissi
		screen.setPaint( new GradientPaint( x-10,y-h,Color.blue ,l,h,Color.green , true) );
		Ellipse2D.Float cerchio = new Ellipse2D.Float( x-10 , y-h ,l+20 , h+20 );
		screen.fill( cerchio );

		// Linee
		screen.setPaint( Color.black );
		screen.setStroke( new BasicStroke( 2F , BasicStroke.CAP_BUTT ,
												BasicStroke.JOIN_ROUND,
												10F , tratto , 0F ));
		screen.draw( new Line2D.Float( x-20 , y+h , x+l+20 , y+h ));
		screen.draw( new Line2D.Float( x-20 , y-h-10 , x+l+20 , y-h-10 ));


		// Disegno scritta sfumata
		screen.setStroke( new BasicStroke() );
		screen.setFont( f );
		screen.setPaint( new GradientPaint( x,y-h,Color.red ,x+l,y+h,Color.orange , true) );
		screen.drawString( testo , x , y );
	}
}
